#
# spec file for package python-crashtest
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-crashtest
Version:        0.4.1
Release:        2.5
Summary:        Manage Python errors with ease
License:        MIT
Group:          Development/Languages/Python
URL:            https://pypi.org/project/crashtest
Source:         https://github.com/sdispater/crashtest/archive/%{version}.tar.gz#/crashtest-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry-core}
BuildRequires:  %{python_module pytest}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A Python library that makes exceptions handling and inspection easier

%prep
%setup -q -n crashtest-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/crashtest
%{python_sitelib}/crashtest-%{version}*-info

%changelog
* Mon May  8 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Mon Nov  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 0.4.1
  * Fixed too narrow type in Inspector class
* Tue Sep 27 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 0.4.0:
  * Fixed a decoding error by forcing 'utf-8' encoding when opening a file. (#5)
  Misc
  * Added typing
  * Fixed multiple issues raised by flake8 and plugins
  * Updated dependencies (both package and dev)
  * Bumped Python versions to 3.7+
* Mon Oct 26 2020 Benjamin Greiner <code@bnavigator.de>
- Kill dephell dependency
* Thu Sep 17 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.3.1:
  * Fixed an error when trying to retrieve the line of a frame with no context
* Thu May  7 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.3.0
